<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layout/Default}">
    <head>
        <title>Gestion de materias</title>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    </head>
    <body>
        <div layout:fragment="content">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">
                        <button  type="button" data-toggle="modal" data-target="#modal-nueva-materia"  class="btn btn-primary btn-icon-split">                            
                            <span class="text">Agregar materia</span>
                        </button ></h6>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="dataTable" class="table table-bordered" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                	<th>Codigo</th>
                                    <th>Nombre</th>
                                    <th>Tipo Materia</th>
                                    <th>Departamento</th>                                          
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                        </table>
                    </div>        
                </div>                
            </div>
            <div class="modal fade" id="modal-nueva-materia" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title" id="modal-new-title" >Nueva materia</h3>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form id="save-form-materia">
                            	<div class="form-group">
                                    <label for="codigo" class="col-form-label">codigo</label> 
                                    <input type="text" id="codigo" name="codigo" class="form-control" th:field="*{materia.codigo}" placeholder="Codigo" />
                                </div> 
                                <div class="form-group">
                                    <label for="nombre" class="col-form-label">Nombre</label> 
                                    <input type="text" id="nombre" name="nombre" class="form-control" th:field="*{materia.nombre}" placeholder="Nombre" />
                                </div>
                                 <div class="form-group">
                                    <label for="tipoMateria" class="col-form-label">Tipo de materia</label> 
                                    <select id="tipoMateria" name="tipoMateria" class="form-control" th:field="*{materia.tipoMateria}">
                                        <option value="Obligatoria">Obligatoria</option>
                                        <option value="Electiva">Electiva</option>                                        
                                    </select>  
                                </div>
                                <div class="form-group">
                                    <label for="departamento" class="col-form-label">Departamento</label> 
                                    <select id="departamento" name="departamento" class="form-control" th:field="*{materia.departamento}">
                                        <option th:each="departamento : ${departamentos}" th:value="${departamento.id}" th:text="${departamento.nombre}"></option>
                                    </select>  
                                </div>                                                                                  
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary modal-cancel-btn" data-dismiss="modal">Cancelar</button>
                            <button id="nuevo-btn" type="button" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal fade" id="modal-editar-materia" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title" id="modal-new-title" >Editar Materia</h3>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form id="update-form-materia" >
                                <input type="hidden" id="idMateria" name="idMateria" />
                                <div class="form-group">
                                    <label for="codigoEdit" class="col-form-label">codigo</label> 
                                    <input type="text" id="codigoEdit" name="codigoEdit" class="form-control" th:field="*{materia.codigo}" placeholder="Codigo" />
                                </div> 
                                <div class="form-group">
                                    <label for="nombreEdit" class="col-form-label">Nombre</label> 
                                    <input type="text" id="nombreEdit" name="nombreEdit" class="form-control" th:field="*{materia.nombre}" placeholder="Nombre" />
                                </div>
                                 <div class="form-group">
                                    <label for="tipoMateriaEdit" class="col-form-label">Tipo de materia</label> 
                                    <select id="tipoMateriaEdit" name="tipoMateriaEdit" class="form-control" th:field="*{materia.tipoMateria}">
                                        <option value="Obligatoria">Obligatoria</option>
                                        <option value="Electiva">Electiva</option>                                        
                                    </select>  
                                </div>
                                <div class="form-group">
                                    <label for="departamentoEdit" class="col-form-label">Departamento</label> 
                                    <select id="departamentoEdit" name="departamentoEdit" class="form-control" th:field="*{materia.departamento}">
                                        <option th:each="departamento : ${departamentos}" th:value="${departamento.id}" th:text="${departamento.nombre}"></option>
                                    </select>  
                                </div>               
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary modal-cancel-btn" data-dismiss="modal">Cancelar</button>
                            <button id="editar-btn" type="button" class="btn btn-primary">Actualizar</button>
                        </div>
                    </div>
                </div>
            </div>           
        </div>
        <th:block layout:fragment="opt_js">
            <script type="text/javascript" th:src="@{/vendor/jquery-validation/dist/jquery.validate.min.js}"></script>            
            <script type="text/javascript" th:src="@{/paginas/crudMateria.js}"></script>
            <script type="text/javascript" th:src="@{/vendor/jquery-validation/dist/messages_es.js}"></script>         
        </th:block>
    </body>